The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

SDB:Repository di KDE

(Reindirizzamento da SDB:KDE repositories)
Questa pagina elenca e descrive i repository disponibili che contengono il software di KDE software e fornisce i collegamenti. La maggior parte di essi è mantenuta e supportata dalla squadra di KDE della comunità di openSUSE.

Aggiungere questi repository ad un'installazione esistente

Se non stai usando il programma di installazione fornito da Argon e Krypton puoi modificare con Zypper un sistema esistente affinché usi i repository elencati qui (YaST può essere usato per aggiungere i repository, ma non per passare ai nuovi pacchetti).

È importante utilizzare una priorità maggiore (che significa un valore più basso!) rispetto ai repository principali di openSUSE e utilizzare zypper dup --allow-vendor-change per il passagio (vedi Aggiornamento con cambio di fornitore).

Esempio: Le ultime versioni del software KDE su Leap 15.2:

zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.2 KDE-Qt5
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.2 KDE-Frameworks
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.2 KDE-Applications
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Extra/KDE_Applications_openSUSE_Leap_15.2 KDE-Extra
zypper -v dup --allow-vendor-change

Esempio: Le ultime versioni del software KDE su openSUSE Tumbleweed:

zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Factory/ KDE-Frameworks
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Tumbleweed/ KDE-Applications
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Extra/KDE_Frameworks5_openSUSE_Tumbleweed/ KDE-Extra
zypper -v dup --allow-vendor-change

Antefatto

La configurazione dei repository si basa sulla distinzione tra tre gruppi di pacchetti, vale a dire:

  • KDE Framework/pacchetti di Plasma. Questo gruppo contiene le librerie Framework e lo spazio di lavoro Plasma.
  • Pacchetti delle KDE Application. Questo gruppo contiene i rilasci delle KDE Application, quali Dolphin, Kdenlive, Konqueror, ecc.
  • Pacchetti per le applicazioni basate su KDE/Qt che sono rilasciate indipendentemente dai rilasci dei software principali di KDE. Questo gruppo contiene le applicazioni che sono basate sulle librerie KDE o Qt, quali Krita, Konversation, Quassel, ecc.

Aggiornamenti di manutenzione

A partire da openSUSE 12.3 la squadra di KDE della comunità openSUSE ha seguito una procedura di manutenzione in cui i pacchetti di KDE forniti con la distribuzione vengono aggiornati tramite il percorso di manutenzione con aggiornamenti minori. Questo per garantire che gli utenti dispongano delle ultime correzioni di bug disponibili per la loro versione di KDE.

Versione: Leap 15.2Fornita con Plasma 5.18.5 LTS, Applications 20.04.2 e KDE Frameworks 5.69.
Versione: Leap 15.1Fornita con Plasma 5.12.8 LTS, Applications 18.12.3 e KDE Frameworks 5.55.
Versione: Leap 15.0Fornita con Plasma 5.12.5 LTS, Applications 17.12.3 e KDE Frameworks 5.45.
Versione: Leap 42.3Fornita con Plasma 5.8.7 LTS, Applications 17.04.2 e KDE Frameworks 5.32.
Versione: Leap 42.2Fornita con Plasma 5.8.2 LTS, Applications 16.08.1 e KDE Frameworks 5.26.
Versione: Leap 42.1Fornita con Plasma 5.4.2, Applications 15.08 (con un paio di eccezioni) e KDE Frameworks 5.15.
Versione: 13.2Fornita con KDE SC 4.14.2 e gli aggiornamenti di manutenzione sono stati forniti fino a KDE SC 4.14.4.
Versione: 13.1Fornita con KDE SC 4.11.2 e gli aggiornamenti di manutenzione sono stati forniti fino a KDE SC 4.11.5.

Che cosa è disponibile

In base a quanto indicato sopra, i seguenti repository sono stati messi a disposizione degli utenti di openSUSE.

Per gli utenti

  • Le ultime versioni di KDE Frameworks 5 e Plasma, opzionalmente Application
    Sono le versioni più recenti delle librerie Framework e del desktop Plasma rilasciate dalla comunità KDE, più una serie di patch specifiche di openSUSE. Opzionalmente puoi anche ottenere applicazioni KDE aggiornate. Sono forniti almeno per l'ultima versione di openSUSE e per Tumbleweed. A seconda delle versioni disponibili delle dipendenze, questi aggiornamenti potrebbero essere forniti anche per versioni precedenti di openSUSE, ma supportate.
  • KDE Extra
    Le versioni più recenti di singole applicazioni basate su KDE e Qt (ma che non fanno parte di Frameworks, Plasma o dei rilasci di Appication) che sono state pacchettizzate per le distribuzioni rilasciate. Queste versioni più recenti sono compilate per vari obiettivi. Questo repository è mantenuto dall'ampia comunità di openSUSE.

Per i contributori

  • Repository KDE Unstable
    Pacchetti basati sulle istantanee di git dei pacchetti e dei rilasci menzionati qui sopra. Vengono compilati solamente per l'ultimo rilascio di openSUSE Leap e Tumbleweed a causa di possibili dipendenze o di pacchetti più recenti.
  • Supporto Live di Krypton
    Ad ogni modifica nei pacchetti viene creato un DVD e testato da openQA. È basato su Tumbleweed e ha i repository KDE Unstable aggiunti in maniera predefinita e un programma di installazione.

Applicazioni "Extra" aggiornate

Applicazioni sviluppate da KDE che non sono parte di Frameworks e Plasma, o che sono sviluppate nel repository KDE Extra. Utilizza questo repository per aggiornare qualcuna, ma non tutte le applicazioni secondarie alla loro ultima versione.

KDE Frameworks 5, Plasma 5 e Applications

L'ultima versione (anche Beta!) di KDE Frameworks 5 e Plasma 5, a volte anche Applications.

Puoi aggiungere questo repository se vuoi provare una beta oppure usare l'ultima versione.

Gli utenti di Tumbleweed avranno le versioni stabili non appena saranno disponibili, che di solito vengono pubblicate nei repository standard in pochi giorni.

Nota per gli utenti di openSUSE Leap: Leap arriva con una versione LTS di Qt, che non è abbastanza recente per il nuovo Plasma. Quindi, per usare KDE: Frameworks5 è richiesto KDE: Qt5. Alcune applicazioni da repository di terze parti potrebbero non essere installabili, in quanto richiedono la versione specifica di Qt fornita con Leap.

Unstable Frameworks, Plasma e Applications

Attenzione! Non mischiare repository stabili e instabili. In questo modo il sistema tende a mettersi in uno stato incoerente.

Questi repository contengono le compilazioni giornaliere di KDE Frameworks 5, Plasma 5 e delle applicazioni di git basate su KF5. A causa delle dipendenze possiamo solo fornire i pacchetti per le ultime versioni di openSUSE Leap e Tumbleweed.

A causa dell'alto ritmo di sviluppo, l'uso di questi repository non è raccomandato in sistemi di produzione. Sono intesi principalmente per sviluppatori e prime prove. Usali a tuo rischio.

Attenzione! Se trovi bug nel software, invia le segnalazioni a KDE.
Attenzione! Per prevenire problemi a causa delle dipendenze bisogna aggiungeretutti i repository nello stesso momento.

See also